Bug 44533 - CarouselView crash with Forms 2.3.3.152-pre2 and CarouselView 2.3.0-pre2.
Summary: CarouselView crash with Forms 2.3.3.152-pre2 and CarouselView 2.3.0-pre2.
Status: RESOLVED NOT_ON_ROADMAP
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.3
Hardware: PC Mac OS
: High major
Target Milestone: ---
Assignee: Chris King
URL:
Depends on:
Blocks:
 
Reported: 2016-09-20 18:24 UTC by Parmendra Kumar
Modified: 2017-05-05 17:32 UTC (History)
5 users (show)

Tags: AC
Is this bug a regression?: Yes
Last known good build: Xamarin.forms 2.3.2.127

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NOT_ON_ROADMAP

Description Parmendra Kumar 2016-09-20 18:24:29 UTC
Created attachment 17617 [details]
Sample Project

Steps to reproduce:

1. Open attached project in XS/VS.
2. Xamarin.Forms package should be 2.3.3.152-pre2 and CarouselView 2.3.0-pre2.
3. Run to Android device/emulator.

Actual result: Application throw exception: Unhandled Exception:
[mono] System.TypeLoadException: Could not load type 'Xamarin.Forms.Platform.CarouselViewRenderer' from assembly 'Xamarin.Forms.CarouselView, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null'.

Expected result: Application should run successfully without any error/exception.

Screencast: http://www.screencast.com/t/Ti9SZMS9L

ApplicationOutput: https://gist.github.com/Parmendrak/75679c23e92d7e482a4a26d3bbbd6e81
BuildOutput: https://gist.github.com/Parmendrak/ac61dd7ea6ab516a40ed021abbec01c8

EnvironmentInfo:
Xamarin Studio  6.1 (build 5441)
Mono 4.6.0 (mono-4.6.0-branch/746756c) (64-bit)
Xcode 8.0 (11239.2)
Xamarin.Mac : 2.10.0.99 (Xamarin Enterprise)
Xamarin.iOS: 10.0.0.6 (Xamarin Enterprise)
Xamarin.Android: 7.0.0.18 (Xamarin Enterprise)
Mac OS X 10.11.5
Comment 1 Michelangelo 2016-11-05 21:56:26 UTC
Same issue.
Comment 2 Chris King 2017-05-05 17:32:02 UTC
CarouselView to be deprecated and replaced with https://github.com/xamarin/Xamarin.Forms/pull/853